Update Parent Agent Tool
curl --request PATCH \
--url https://app.maadify.com/api/parent_agents/{parent_agent_id}/tools/{parent_agent_tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flow_configs": {
"output_context_to_sources": false,
"context_variable_memory_config": {
"enabled": false,
"store_scope": "agent",
"max_value_size": 0,
"min_value_size": 0
},
"async_execution": false
}
}
'import requests
url = "https://app.maadify.com/api/parent_agents/{parent_agent_id}/tools/{parent_agent_tool_id}"
payload = { "flow_configs": {
"output_context_to_sources": False,
"context_variable_memory_config": {
"enabled": False,
"store_scope": "agent",
"max_value_size": 0,
"min_value_size": 0
},
"async_execution": False
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flow_configs: {
output_context_to_sources: false,
context_variable_memory_config: {enabled: false, store_scope: 'agent', max_value_size: 0, min_value_size: 0},
async_execution: false
}
})
};
fetch('https://app.maadify.com/api/parent_agents/{parent_agent_id}/tools/{parent_agent_tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"id": 123,
"parent_agent_id": 123,
"agent_tool_id": 123,
"flow_configs": {},
"created_at": "<string>"
}
]
},
"error_type": "<string>",
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tools
Update Parent Agent Tool
Update flow configuration for a parent agent tool assignment.
PATCH
/
api
/
parent_agents
/
{parent_agent_id}
/
tools
/
{parent_agent_tool_id}
Update Parent Agent Tool
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Updated tool execution configuration for this parent-agent tool instance.
Show child attributes
Show child attributes
Response
Successful Response
⌘I
